/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

// $Id: RedeployExampleTestCase.java,v 1.1.2.1 2004/11/05 12:55:24 tdiesler Exp $

package org.jboss.test.jbossnet.admindevel;

import junit.framework.Test;
import org.jboss.test.jbossnet.ejbsimple.EJBEndpointTestCase;

/** A test for the examples from the JBoss Admin Devel book.
 *
 * @author Thomas.Diesler@jboss.org
 * @version $Revision: 1.1.2.1 $
 */
public class RedeployExampleTestCase extends ExampleTestCase
{

   // Constructors --------------------------------------------------
   public RedeployExampleTestCase(String name)
   {
      super(name);
   }

   /** this is to deploy the whole ear */
   public static Test suite() throws Exception
   {
      return getDeploySetup(RedeployExampleTestCase.class, "jbossnet-admindevel.ear");
   }

   /** standalone */
   public static void main(String[] args)
   {
      junit.textui.TestRunner.run(RedeployExampleTestCase.class);
   }

}
